Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# SSL_SOCK_Stream.h File Reference

`#include "SSL_Export.h"`
`#include "ace/os_include/os_stdio.h"`
`#include <openssl/err.h>`
`#include "SSL_SOCK.h"`
`#include "SSL_Context.h"`
`#include "ace/SOCK_Stream.h"`
`#include "SSL_SOCK_Stream.i"`

Include dependency graph for SSL_SOCK_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_SSL_SOCK_Stream
| Defines methods in the ACE_SSL_SOCK_Stream abstraction. More...

## Detailed Description

Id
  SSL_SOCK_Stream.h,v 1.29 2005/10/28 16:14:56 ossama Exp

Author:
  Ossama Othman <ossama@uci.edu>

  Carlos O'Ryan <coryan@uci.edu>

  John Heitmann